Library Version 18.1.40

berkdb dbrename
Prev | Chapter 1. Berkeley DB Tcl APIs | Next

## berkdb dbrename

    berkdb dbrename
    	[-encrypt]
    	[-encryptaes passwd]
    	[-encryptany passwd]
    	[-env env]
    	[--]
    	file
    	[database
    	newname]

Renames the Berkeley DB database specified by the database name file and [database] name arguments to the new name given. If no database is specified, the physical file represented by file is renamed.

No reference count of database use is maintained by Berkeley DB. Applications should not rename databases that are currently in use.

The options are as follows:

- -encrypt

  Specify the database in an environment is encrypted with the same password that is being used in the environment.

- -encryptaes passwd

  Specify the database is encrypted with the given password using the Rijndael/AES (also known as the Advanced Encryption Standard and Federal Information Processing Standard (FIPS) 197) algorithm.

- -encryptany passwd

  Specify the already existing database is encrypted with the given password. This option is used if the database is known to be encrypted, but the specific algorithm used is not known.

- -env env

  If a -env argument is given, the database in the specified Berkeley DB environment is renamed.

- --

  Mark the end of the command arguments.

The berkdb dbrename command returns 0 on success, and in the case of error, a Tcl error is thrown.

Prev | Up | Next
berkdb dbremove | Home | db stat